Get crypto deposit
Last updated
Fetches a single deposit order by id for status polling.
Request query params type:
type QueryParams = {
orderId: string; // the deposit order id
}Request URL example:
GET /api/v2/merchant-balance/deposit?orderId=69281d944a1db009177f0198Response type:
Response example:
Last updated
type Response = {
orderId: string;
status: OrderStatus;
network: string;
asset: string;
currencyCode: string;
address: string;
amount: number;
hash?: string;
expiresAt: Date;
createdAt: Date;
updatedAt: Date;
}{
"orderId": "69281d944a1db009177f0198",
"status": "payout_successful",
"network": "POLYGON",
"asset": "USDC",
"currencyCode": "POLYGON_USDC",
"depositAddress": "0x5b7ae3c6c87f4a3f94b35c77233b13191ebfad20",
"expectedAmount": 100,
"expiresAt": "2025-11-27T10:29:56.167Z",
"createdAt": "2025-11-27T09:29:56.167Z",
"updatedAt": "2025-11-27T09:33:40.118Z"
}
